Subject: bug#75593: 31.0.50; Faulty macro kills Emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jan 2025 14:47:54 +0200

> Date: Thu, 16 Jan 2025 12:08:37 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> 
> >> (Also, this is not primarily about circular lists, it's about non-lists
> >> in general).
> >
> > That should be easy to detect up front, no?  I thought the issue was
> > about a cons cell vs a proper list.
> 
> Sorry, but I don't see a way of checking that we're looking at a proper
> list that's cheaper that list_length: we need to find the last cons
> cell, so we need to walk the list, and counting cells while we're doing
> so should not affect performance.

No, I meant to detect objects that are not CONSP, but something else:
a number, a symbol, a string, etc.  I thought this was what you meant
by "non-lists".